@echo off
setlocal

set "outputFile=%USERPROFILE%\Desktop\driverslist.txt"

rem Collecting driver files from various locations
set "driverFiles="

rem Get drivers from System32
for /r "C:\Windows\System32\drivers" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)

rem Get drivers from Program Files
for /r "C:\Program Files" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)
for /r "C:\Program Files (x86)" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)
for /r "C:\Program Files (x86)\Common Files" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)

rem Get drivers from ProgramData and All Users
for /r "C:\ProgramData" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)
for /r "C:\Users\All Users" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)

rem Get drivers from ELAMBKUP and SysWOW64
for /r "C:\Windows\ELAMBKUP" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)
for /r "C:\Windows\SysWOW64" %%f in (*.sys) do (
    echo %%f >> "%outputFile%"
)

echo Driver list has been saved to 'driverslist.txt' on your desktop.

endlocal
